
%include vaucanswig_algo_common.i
%{
#include <vaucanson/algorithms/trim.hh>
%}
%define alg_trim_interface(Automaton, GenAutomaton, Series, Exp, HList)
static HList useful_states(const Automaton& a) ;
static HList useful_states(const GenAutomaton& a) ;
static Automaton trim(const Automaton& a) ;
static GenAutomaton trim(const GenAutomaton& a) ;
%enddef
%define alg_trim_interface_impl(Automaton, GenAutomaton, Series, Exp, HList)
static  HList useful_states(const Automaton& a) { return list_of_set(vcsn::useful_states(*a)); }
static  HList useful_states(const GenAutomaton& a) { return list_of_set(vcsn::useful_states(*a)); }
static  Automaton trim(const Automaton& a) { return vcsn::trim(*a); }
static  GenAutomaton trim(const GenAutomaton& a) { return vcsn::trim(*a); }
%enddef
%define alg_interface_trim(Kind)
%{
struct Kind ##_alg_trim {
alg_trim_interface(Kind ##_types::Kind ##_auto_t, \
                     Kind ##_types::gen_## Kind ##_auto_t, \
                     Kind ##_types::Kind ##_series_set_elt_t, \
                     Kind ##_types::Kind ##_exp_t, std::list<int>)
};
%}
%enddef
%define decl_alg_trim(Kind)
algo_common_decls(Kind)
%{
struct Kind ##_alg_trim {
alg_trim_interface_impl(Kind ##_types::Kind ##_auto_t, \
                     Kind ##_types::gen_## Kind ##_auto_t, \
                     Kind ##_types::Kind ##_series_set_elt_t, \
                     Kind ##_types::Kind ##_exp_t, std::list<int>)
};
%}
struct Kind ##_alg_trim {
alg_trim_interface(Kind ##_types::Kind ##_auto_t, \
                     Kind ##_types::gen_## Kind ##_auto_t, \
                     Kind ##_types::Kind ##_series_set_elt_t, \
                     Kind ##_types::Kind ##_exp_t, std::list<int>)
};
%enddef
